# -*- coding: utf-8 -*-
###########################################################################
#
# Copyright (C) 2010  Bartek thindil Jasicki
#
# This file is part of Anaria.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
###########################################################################
'''
dialog.py

OLC for dialog (mobs).
'''

import olc

################################################################################
# Dialog OLC
################################################################################

def dialogolc_chooser(sock, data):
    '''Show menu.'''
    try:
        sock.send("Klucz dialogu: ")
        return 1
    except:
        return olc.MENU_CHOICE_INVALID

def dialogolc_parser(owner, arg):
    '''Set new dialog.'''
    if '@' not in arg and len(arg) > 0:
        return False
    if len(arg) > 0:
        owner.dialog = arg
    else:
        owner.dialog = None
    return True

def dialogolc_to_proto(owner):
    '''Save dialog to file.'''
    buf = ''
    if len(owner.dialog) > 0:
        buf = 'me.dialog = "' + owner.dialog + '"\n'
    return buf

def dialogolc_extend_menu(sock, data):
    '''Show option in main menu.'''
    if len(data.dialog) > 0:
        name = data.dialog
    else:
        name = 'brak'
    sock.send('Dialog: {c' + name + '{n')

################################################################################
# initialization
################################################################################
olc.extend("medit", "D", dialogolc_extend_menu, dialogolc_chooser, dialogolc_parser, None,
           dialogolc_to_proto)
