# -*- coding: utf-8 -*-
###########################################################################
#
# Copyright (C) 2010  Bartek thindil Jasicki
#
# This file is part of Anaria.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
###########################################################################
'''
eatdrink.py

Provide functions for eat/drink items
'''

import hooks, mud, char, mudsys

################################################################################
# eat/drink hooks
################################################################################

def eat_hook(info):
    '''Lower player hunger, heal or restore.'''
    ch, obj = hooks.parse_info(info)
    data = obj.get_type_data("consumable")
    food = ['jarzyna', 'pieczywo', 'mięso']
    if data.subtype in food:
        bonus = [5, 10, 20]
        cur_val = ch.aux('stats').values[6] - bonus[food.index(data.subtype)]
        if cur_val < 0:
            cur_val = 0
        ch.aux('stats').values[6] = cur_val
        return
    herbs = ['słabe zioła leczące', 'zioła leczące', 'silne zioła leczące']
    if data.subtype in herbs:
        bonus = [10, 25, 50]
        cur_val = ch.aux('stats').values[4] + ((ch.aux('stats').secondvalues[4] / 100) * bonus[herbs.index(data.subtype)])
        if cur_val > ch.aux('stats').secondvalues[4]:
            cur_val = ch.aux('stats').secondvalues
        ch.aux('stats').values[4] = cur_val
        return
    if data.subtype == 'zioła wzmacniające':
        cur_val = ch.aux('stats').values[5] - (ch.aux('stats').secondvalues[5] * 0.3)
        if cur_val < 0:
            cur_val = 0
        ch.aux('stats').values[5] = cur_val

def drink_hook(info):
    '''Lower player thirst, heal or restore'''
    ch, obj = hooks.parse_info(info)
    data = obj.get_type_data("consumable")
    drinks = ['wodę', 'piwo', 'wino']
    if data.subtype in drinks:
        bonus = [10, 5, 2]
        cur_val = ch.aux('stats').values[7] - bonus[drinks.index(data.subtype)]
        if cur_val < 0:
            cur_val = 0
        ch.aux('stats').values[7] = cur_val
        return
    heal = ['słaby napój leczący', 'napój leczący', 'silny napój leczący']
    if data.subtype in heal:
        bonus = [15, 30, 60]
        bonus = [10, 25, 50]
        cur_val = ch.aux('stats').values[4] + ((ch.aux('stats').secondvalues[4] / 100) * bonus[herbs.index(data.subtype)])
        if cur_val > ch.aux('stats').secondvalues[4]:
            cur_val = ch.aux('stats').secondvalues
        ch.aux('stats').values[4] = cur_val
        return
    if data.subtype == 'kawę':
        cur_val = ch.aux('stats').values[5] - (ch.aux('stats').secondvalues[5] * 0.5)
        if cur_val < 0:
            cur_val = 0
        ch.aux('stats').values[5] = cur_val
        

################################################################################
# loading and unloading the module
################################################################################
hooks.add("eat", eat_hook)
hooks.add("drink", drink_hook)

def __unload__():
    '''things that need to be detached when the module is un/reloaded'''
    hooks.remove("eat", eat_hook)
    hooks.remove("drink", drink_hook)
