# -*- coding: utf-8 -*-
###########################################################################
#
# Copyright (C) 2010  Bartek thindil Jasicki
#
# This file is part of Anaria.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
###########################################################################
'''
gainlevel.py

all function to gain level in skills,spells or stats
'''

import mudsys, mud, char

################################################################################
# Functions
################################################################################

def check_exp(ch, name, type):
    '''function check if player have enough experience for gain new level in
       skill/stat/spell - if yes, raise this skill/stat/spell and inform about
       this player'''
    if ch.is_npc:
        return
    if type == 'stat':
        stats = ['str', 'dex', 'int', 'con']
        index = stats.index(name)
        level = ch.aux('stats').basevalues[index]
        if level == 50:
            return
        exp = ch.aux('stats').secondvalues[index]
        message = 'Twoja %s rośnie!' % ch.aux('stats').names[index]
        need_exp = 1000 * (level + 1)
    elif type == 'skill':
        index = ch.aux('skills').names.index(name)
        level = ch.aux('skills').baselevels[index]
        if level == 100:
            return
        exp = ch.aux('skills').exp[index]
        need_exp = 100 * (level + 1)
        message = 'Twoja umiejętność %s wzrasta!' % name
    elif type == 'spell':
        index = ch.aux('spells').names.index(name)
        level = ch.aux('spells').baselevels[index]
        if level == 100:
            return
        exp = ch.aux('spells').exp[index]
        need_exp = 100 * (level + 1)
        message = 'Twoja znajomość czaru %s wzrasta!' % name
    if exp >= need_exp:
        exp = exp - need_exp
        if type == "stat":
            ch.aux('stats').values[index] +=  1
            ch.aux('stats').basevalues[index] += 1
            ch.aux('stats').secondvalues[index] = exp
            if index == 0:
                ch.aux('stats').secondvalues[4] += 1
                ch.aux('stats').secondvalues[5] += 1
            elif index == 3:
                ch.aux('stats').secondvalues[4] += 1
                ch.aux('stats').secondvalues[5] += 1
                ch.aux('stats').secondvalues[6] += 1
                ch.aux('stats').secondvalues[7] += 1
        elif type == 'skill':
            ch.aux('skills').levels[index] += 1
            ch.aux('skills').baselevels[index] += 1
            ch.aux('skills').exp[index] = exp
        elif type == 'spell':
            ch.aux('spells').levels[index] += 1
            ch.aux('spells').baselevels[index] += 1
            ch.aux('spells').exp[index] = exp
        ch.send(message)
