# -*- coding: utf-8 -*-
###########################################################################
#
# Copyright (C) 2010  Bartek thindil Jasicki
#
# This file is part of Anaria.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
###########################################################################
'''
persistent.py

OLC for persistent rooms.
'''

import olc, mudsock, mudsys

################################################################################
# Persistent OLC
################################################################################

def persolc_chooser(sock, data):
    '''Set if room is persistent or not.'''
    data.persistent = not data.persistent
    return olc.MENU_NOCHOICE

def persolc_to_proto(data):
    '''Save persistent state to file.'''
    if data.persistent:
        data.dirty()
        return 'me.persistent = True\n'
    else:
        return ''

def persolc_extend_menu(sock, data):
    '''Show option in main menu.'''
    persistent = 'nie'
    if data.persistent:
        persistent = 'tak'
    sock.send('Stały pokój: {c' + persistent)

################################################################################
# initialization
################################################################################
olc.extend('redit', 'P', persolc_extend_menu, persolc_chooser, None, None,
           persolc_to_proto)
