#ifndef RACES_H
#define RACES_H
/*
 * Copyright (C), 2010 Bartek thindil Jasicki
 *
 * This file is part of Anaria.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
//*****************************************************************************
//
// races.h
//
// contains all of the information assocciated with different races. If you are
// wanting to add new races to the MUD, it is suggested you do so through the
// add_race() function, and make a new module for your MUD's races.
//
//*****************************************************************************

void init_races();
void add_race(const char *name, const char *abbrev, BODY_DATA *body, int pc_ok);
int raceCount();
int raceGetBodySizeNum(const char *name);
bool isRace(const char *name);
BODY_DATA *raceCreateBody(const char *name);
bool raceIsForPC(const char *name);
const char *raceGetAbbrev(const char *name);
const char *raceGetList(bool pc_only);
const char *raceDefault(void);
const char *raceGetBodySize(const char *name);

#endif // RACES_H
